﻿using System.Text.Json.Serialization;

// ReSharper disable NullableWarningSuppressionIsUsed

namespace SWAD.API.Models.JsonStructures.MusicAPI.Tidal;

/// <summary>
///     Json Structure for tidal track response
/// </summary>
public class TidalArtistResponse
{
    [JsonPropertyName("data")] public DataObject Data { get; set; } = new();

    public class DataObject
    {
        [JsonPropertyName("attributes")] public AttributesObject Attributes { get; set; } = new();

    }
    
    public class AttributesObject
    {
        [JsonPropertyName("name")] public string Name { get; set; } = null!;

    }
}