using System.Diagnostics;
using System.Reflection;
using Telegram.Bot;
using Telegram.Bot.Types;

namespace TelegramBot.Commands.CommandMessages;

public abstract class CommandMessage : IMessage
{
    public abstract Task InvokeFromMessage(ITelegramBotClient botClient, Update update,
        CancellationToken cancellationToken);
}